package comunicacao.data.segment;
import java.net.DatagramPacket;
import java.util.Hashtable;

import comunicacao.packets.SendingThread;


public class Segment {
	public static final int MAXIMUM_DATA_SIZE = 500;
	
	
	private boolean acked;
	private DatagramPacket packet;	
	private SequenceNumber sequenceNumber;
	

	
	public Segment( DatagramPacket packet, SequenceNumber sequenceNumber) {
		super();
		this.acked = false;
		this.packet = packet;
		this.sequenceNumber = sequenceNumber;
	}

	public synchronized boolean isAcked() {
		return acked;
	}

	public synchronized void setAcked(boolean acked) {
		this.acked = acked;
	}

	public DatagramPacket getPacket() {
		return packet;
	}

	public void setPacket(DatagramPacket packet) {
		this.packet = packet;
	}

	public SequenceNumber getSequenceNumber() {
		return sequenceNumber;
	}

	public void setSequenceNumber(SequenceNumber sequenceNumber) {
		this.sequenceNumber = sequenceNumber;
	}
	
	
	
}
