package core;
import java.io.File;

import userManagement.User;

public class ClienteOut {
	
	private User user;
	private ProgramServer ps;

	public ClienteOut(){
		super();
		this.user = null;
	}
	public ClienteOut(User user, ProgramServer programServer) {
		super();
		this.ps = programServer;
		this.user = user;
	}

	public void sendComand(File file,String command){
		String pathName = file.getPath();
		//System.out.println(pathName+"     Name");
		//System.out.println(pathName.charAt(pathName.indexOf("YamBox")+5));
		int index = pathName.indexOf("YamBox")+7;
		if(index < pathName.length()){
			String address = pathName.substring(index);
			//System.out.println(address+"      endereco");
			if(command.equals("Enviar")){
				if(file.isFile()){
					ps.putFile(user, address, file);
				}
				else{
					ps.putDirectory(user, address);
				}
			}
			else{
				ps.delete(user, address);
			}
		}
	}
	public void desconecte(){
		this.ps.desconect();
	}
}
