package comunicacao;

import java.io.File;
import java.io.IOException;
import java.io.Serializable;
import java.net.InetAddress;
import java.net.ServerSocket;

public class TCPServerSocket implements IServerSocket{
	private ServerSocket socket;
	
	public TCPServerSocket(int port) throws IOException{
		this.socket = new ServerSocket(port);
	}
	
	

		@Override
	public ISocket accept() throws IOException {
		return new TCPSocket(this.socket.accept());
	}

	@Override
	public int getLocalPort() {
		return this.socket.getLocalPort();
	}

	@Override
	public InetAddress getLocalAddress() {
		return this.socket.getInetAddress();
	}

	
	
	
	
}
