package comunicacao.exception;

public class InvalidLengthOffsetCombinationException extends Exception {
	private int offset;
	private int length;
	private int bufferLength;

	public InvalidLengthOffsetCombinationException(int offset, int length,
			int length2) {
		super("The length and/or offset is invalid");
		this.offset = offset;
		this.length = length;
		this.bufferLength = bufferLength;

	}

	public int getOffset() {
		return offset;
	}

	public void setOffset(int offset) {
		this.offset = offset;
	}

	public int getLength() {
		return length;
	}

	public void setLength(int length) {
		this.length = length;
	}

	public int getBufferLength() {
		return bufferLength;
	}

	public void setBufferLength(int bufferLength) {
		this.bufferLength = bufferLength;
	}
	
	
}
